> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a Pix Payment (v1)

> Generate a Pix payment using the v1 endpoint after using Check Key Endpoint



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cashout/pix
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashout/pix:
    post:
      tags:
        - cashout
      summary: Generate a Pix payment
      description: Generates a Pix payment
      operationId: TrioFoundationWeb.Banking.Cashout.Pix.V1Controller.generate
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Generate_pix_create_params'
        description: Pix V1 payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneratePixResponse'
          description: GeneratePix
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    Generate_pix_create_params:
      description: Body params to generate a Pix
      example:
        amount: 100
        description: description
        external_id: external_id 1
        pix_ref_bank_account:
          branch: '0001'
          digit: '1'
          ispb: '12345678'
          name: Name Test
          number: '123456'
          tax_number: '05964110000197'
          type: checking
        pix_ref_id: 1a760495-cb95-4023-96e8-0cff5776b010
        pix_ref_type: key
        virtual_account_id: 1a760495-cb95-4023-96e8-0cff5776b010
      properties:
        amount:
          description: Amount
          maximum: 100000000000
          type: integer
        description:
          description: Pix description
          type: string
        external_id:
          description: External ID
          type: string
        pix_ref_bank_account:
          description: Pix reference bank account object
          properties:
            branch:
              description: Reference bank account branch
              type: string
            digit:
              description: Reference bank account digit
              type: string
            ispb:
              description: Reference bank account ISPB
              type: string
            name:
              description: Name of the receiver, could be person or business name
              type: string
            number:
              description: Reference bank account number
              type: string
            tax_number:
              description: Document number of the receiver, could be person or business
              type: string
            type:
              description: Reference bank account type
              type: string
          required:
            - digit
            - number
            - type
            - ispb
            - branch
            - name
            - tax_number
          type: object
        pix_ref_id:
          description: >-
            Pix unique identifier from DICT. Must be informed with Pix ref type
            is key or brcode
          type: string
        pix_ref_type:
          $ref: '#/components/schemas/PixRefTypeV1'
        platform_id:
          description: Platform ID
          nullable: true
          type: string
        virtual_account_id:
          $ref: '#/components/schemas/UUID'
      required:
        - amount
        - pix_ref_type
        - virtual_account_id
      title: Generate Pix create params
      type: object
    GeneratePixResponse:
      description: Response schema for a single Pix generation
      example:
        data:
          payment_document_id: 41234d60-f6a9-4c9c-8cc3-5769ce9bbea2
      properties:
        data:
          properties:
            payment_document_id:
              description: Payment document unique identifier
              format: uuid
              type: string
          type: object
      title: GeneratePixResponse
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    PixRefTypeV1:
      description: Pix reference type
      enum:
        - key
        - brcode
        - bank_account
      title: PixRefTypeV1
      type: string
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string

````